Holger's Java API

## com.antelmann.math
Enum SIBaseUnitType

    java.lang.Object
      java.lang.Enum<SIBaseUnitType>
          com.antelmann.math.SIBaseUnitType

All Implemented Interfaces:
  Serializable, Comparable<SIBaseUnitType>

    public enum SIBaseUnitType

extends Enum<SIBaseUnitType>

represents the quantity types for SI base units (from the international system of units)

Since:
  03.06.2009, 19:34:52
Author:
  Holger Antelmann
See Also:
  `SIBaseUnit`

Enum Constant Summary
`AMOUNT`
`ELECTRIC_CURRENT`
`LENGTH`
`LUMINOUS_INTENSITY`
`MASS`
`TEMPERATURE`
`TIME`

Method Summary
`static SIBaseUnitType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SIBaseUnitType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LENGTH

    public static final SIBaseUnitType LENGTH

### MASS

    public static final SIBaseUnitType MASS

### TIME

    public static final SIBaseUnitType TIME

### ELECTRIC_CURRENT

    public static final SIBaseUnitType ELECTRIC_CURRENT

### TEMPERATURE

    public static final SIBaseUnitType TEMPERATURE

### AMOUNT

    public static final SIBaseUnitType AMOUNT

### LUMINOUS_INTENSITY

    public static final SIBaseUnitType LUMINOUS_INTENSITY

Method Detail

### values

    public static SIBaseUnitType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SIBaseUnitType c : SIBaseUnitType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SIBaseUnitType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads